<template>
  <span
    :class="`icon icon-${name}`"
    :style="{ fontSize: fontSize }"
    @click="handleClick"
  ></span>
</template>

<script lang="ts">
import Vue from "vue";

export default Vue.extend({
  name: "BaseIcon",
  props: {
    name: {
      type: String,
      required: true
    },
    size: {
      type: Number,
      required: false,
      default: 1
    }
  },
  computed: {
    fontSize: function() {
      return this.size ? this.size + "rem" : "1rem";
    }
  },
  methods: {
    handleClick: function(e: any) {
      this.$emit("onClick");
    }
  }
});
</script>

<style module lang="scss"></style>
